﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Diagnostics;

namespace Example17__C_sharp_
{
    public partial class Form1 : Form
    {
        string InputFile = "C:\\STIMATH\\Scripts\\MyIn17.txt";
        string OutputFile = "C:\\STIMATH\\Output\\MyOut17.dat";

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InputRTB.LoadFile(InputFile, RichTextBoxStreamType.PlainText);
        }

        private void RunButton_Click(object sender, EventArgs e)
        {
            ProcessStartInfo ProcSI = new ProcessStartInfo();

            if (!Directory.Exists("C:\\STIMATH\\Output\\"))
                Directory.CreateDirectory("C:\\STIMATH\\Output\\");

            File.Delete(OutputFile);

            ProcSI.FileName = "C:\\STIMATH\\STIMATH.exe";
            ProcSI.Arguments = InputFile;
            ProcSI.CreateNoWindow = true;
            ProcSI.WindowStyle = ProcessWindowStyle.Hidden;
            Process proc = Process.Start(ProcSI);

            while (!File.Exists(OutputFile))
                proc.WaitForExit(100);

            proc.WaitForExit();
            proc.Dispose();

            OutputRTB.LoadFile(OutputFile, RichTextBoxStreamType.PlainText);
        }
    }
}
